Freeciv-3.1: utf8_str Struct Reference

Freeciv-3.1

Loading...
Searching...
No Matches
Data Fields
utf8_str Struct Reference

`#include <gui_string.h>`

## Data Fields

Uint8 | style
Uint8 | render
Uint16 | ptsize
size_t | n_alloc
SDL_Color | fgcol
SDL_Color | bgcol
TTF_Font * | font
char * | text

## Detailed Description

Definition at line 52 of file gui_string.h.

## Field Documentation

## ◆ bgcol

SDL_Color utf8_str::bgcol

Definition at line 58 of file gui_string.h.

Referenced by canvas_put_text(), create_utf8_surf(), economy_report_dialog_popup(), popup_connection_dialog(), popup_worklist_editor(), redraw_label(), redraw_unit_info_label(), update_info_label(), and update_intel_dialog().

## ◆ fgcol

SDL_Color utf8_str::fgcol

Definition at line 57 of file gui_string.h.

Referenced by canvas_put_text(), create_tech_info(), create_utf8_surf(), economy_report_dialog_popup(), edit_field(), edit_textinput(), msg_callback(), nation_button_callback(), popup_advanced_terrain_dialog(), popup_diplomatic_objects(), popup_impr_info(), popup_races_dialog(), popup_tech_info(), popup_unit_disband_dlg(), popup_unit_info(), real_city_report_dialog_update_city(), real_economy_report_dialog_update(), real_info_city_report_dialog_update(), rebuild_imprm_list(), redraw_army_city_dialog(), redraw_city_dialog(), redraw_happiness_city_dialog(), redraw_info_city_dialog(), redraw_label(), redraw_misc_city_dialog(), redraw_supported_units_city_dialog(), redraw_unit_info_label(), redraw_widget_info_label(), update_goto_dialog(), and update_info_label().

## ◆ font

TTF_Font* utf8_str::font

Definition at line 59 of file gui_string.h.

Referenced by change_ptsize_utf8(), convert_utf8_str_to_const_surface_width(), create_utf8_surf(), edit_field(), edit_textinput(), redraw_unit_info_label(), and utf8_str_size().

## ◆ n_alloc

size_t utf8_str::n_alloc

Definition at line 56 of file gui_string.h.

Referenced by copy_chars_to_utf8_str(), edit_field(), and input_edit_conn_callback().

## ◆ ptsize

Uint16 utf8_str::ptsize

Definition at line 55 of file gui_string.h.

Referenced by change_ptsize_utf8(), convert_utf8_str_to_const_surface_width(), and create_text_surf_smaller_than_w().

## ◆ render

Uint8 utf8_str::render

Definition at line 54 of file gui_string.h.

Referenced by create_utf8_multi_surf(), create_utf8_surf(), popup_races_dialog(), and redraw_label().

## ◆ style

Uint8 utf8_str::style

Definition at line 53 of file gui_string.h.

Referenced by add_new_worklist_callback(), add_target_to_worklist(), combo_new(), combo_redraw(), convert_utf8_str_to_const_surface_width(), create_edit(), create_icon_button(), create_present_supported_units_widget_list(), create_utf8_multi_surf(), create_utf8_surf(), economy_report_dialog_popup(), edit_field(), nation_button_callback(), option_dialog_worklist(), option_widget_new(), popup_action_selection(), popup_advanced_terrain_dialog(), popup_connection_dialog(), popup_diplomatic_objects(), popup_find_dialog(), popup_impr_info(), popup_load_game_dialog(), popup_minimap_window(), popup_pillage_dialog(), popup_players_nations_dialog(), popup_sabotage_dialog(), popup_terrain_info_dialog(), popup_unit_disband_dlg(), popup_unit_info(), popup_worklist_editor(), real_city_dialog_popup(), real_info_city_report_dialog_update(), rebuild_imprm_list(), redraw_army_city_dialog(), redraw_edit(), redraw_happiness_city_dialog(), redraw_iconlabel(), redraw_info_city_dialog(), redraw_label(), redraw_misc_city_dialog(), redraw_supported_units_city_dialog(), redraw_tech_info_dlg(), redraw_unit_info_label(), redraw_widget_info_label(), remake_label_size(), set_global_worklist(), setup_auxiliary_tech_icons(), show_main_page(), spy_steal_popup_shared(), unit_select_dialog_popup(), units_orders_city_dlg_callback(), update_goto_dialog(), update_info_label(), update_intel_dialog(), and utf8_str_size().

## ◆ text

char* utf8_str::text

Definition at line 60 of file gui_string.h.

Referenced by combo_menu_item_callback(), convert_first_passwd_callback(), convert_passwd_callback(), convert_playername_callback(), convert_portnr_callback(), convert_second_passwd_callback(), convert_servername_callback(), convert_utf8_str_to_const_surface_width(), copy_chars_to_utf8_str(), create_text_surf_from_utf8(), create_utf8_multi_surf(), create_utf8_surf(), edit_field(), gold_callback(), input_edit_conn_callback(), inputline_return_callback(), leader_name_edit_callback(), new_name_city_dlg_callback(), newcity_name_edit_callback(), newcity_ok_callback(), ok_save_cma_callback(), option_widget_apply(), races_dialog_ok_callback(), redraw_edit(), refresh_city_names(), rename_worklist_editor_callback(), and utf8_str_size().